Subject: Re: [PATCH] Spell __attribute__ correctly in cache.h.

From: Jason Riedy <[email-masked]>
Date: Sun, 28 Aug 2005 10:11:25 -0700

And Junio C Hamano writes:
 - >  +    Replace C99 array initializers with code.
 - I presume this is to help older compilers?

Yes, so it's relatively unimportant.  I could work
around it in my situation; I only included it 
because it's "necessary" for some Sun compilers on
older Solaris installations.  A static gcc build
works well enough in my situation.

 - >  +    Replace unsetenv() and setenv() with older putenv().
 - I wonder how buggy various implementations of
 - putenv("THIS_ENV_VAR") are to remove the variable.

I don't know, and it doesn't seem to matter in the git 
code.  I didn't see checks for existance, but I may have
missed something.  Most uses replace a NULL with a 
pointer to "", which is why I just used putenv("FOO=").

This is to cope with an older Solaris installation I 
have to use.  ugh.  I can use a better compiler, but 
I'm stuck with the system library.  Other older systems
probably don't have unsetenv(), either.

The "right" way would be to twiddle the environ and 
use execle, but that's nasty.

 - >  +    Replace zero-length array decls with [].
 - This I am ambivalent about.

I'm fine with requiring a limited C99 compiler.  A
pedantic compiler will reject members with a length
of zero.  6.7.5.2 para1 requires a value greater than
zero for a constant array size.  So the code now (with
[0] decls) is neither C89 nor C99.

Jason